Page MenuHomePhabricator

Help panel: deploy on Vietnamese Wikipedia
Closed, ResolvedPublic

Description

Now that the help panel has been deployed on Czech and Korean Wikipedias for a month, and we have been collecting data on Vietnamese Wikipedia through the EditorJourney and welcome survey projects, we can move toward deploying the help panel on that Wikipedia, as well.

There are many steps to completing this:

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: revi. · View Herald TranscriptFeb 8 2019, 10:12 PM
MMiller_WMF moved this task from Inbox to Upcoming Work on the Growth-Team board.

Moving to Upcoming Work and assigning to @Trizek-WMF.

Trizek-WMF triaged this task as High priority.Feb 11 2019, 8:59 AM
Trizek-WMF reassigned this task from Trizek-WMF to kostajh.Feb 11 2019, 9:03 AM
Trizek-WMF raised the priority of this task from High to Needs Triage.
Trizek-WMF updated the task description. (Show Details)

Reassigning.

Trizek-WMF updated the task description. (Show Details)Feb 11 2019, 9:04 AM
kostajh removed kostajh as the assignee of this task.Feb 11 2019, 4:38 PM

@Trizek-WMF for this:

Ask community to supply five help links. We recommend including one about how to add photos, since that is the most common question asked in the help panel so far. (@Trizek-WMF)

Please also ask for the "View more help" link. thanks!

kostajh claimed this task.Feb 11 2019, 4:38 PM

Change 489729 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[operations/mediawiki-config@master] [WIP] GrowthExperiments: Soft launch of help panel on viwiki

https://gerrit.wikimedia.org/r/489729

@MMiller_WMF, when the deployment is scheduled?

@Trizek-WMF -- I think the simple answer is that we want to deploy as soon as the Vietnamese translations are ready and the community is ready. But I understand it will help to have a target date (that we could change). How about Feb 26, two weeks from today?

kostajh updated the task description. (Show Details)Feb 15 2019, 2:45 PM
kostajh updated the task description. (Show Details)
MMiller_WMF updated the task description. (Show Details)Feb 19 2019, 6:35 PM
Trizek-WMF updated the task description. (Show Details)Feb 19 2019, 6:35 PM
Trizek-WMF updated the task description. (Show Details)Feb 20 2019, 4:00 PM
Trizek-WMF updated the task description. (Show Details)Feb 20 2019, 4:19 PM

@Trizek-WMF -- where did you list the five help links supplied by the community? I don't see it on this task -- maybe it is listed somewhere else?

As discussed yesterday, I don't have those yet.

MMiller_WMF updated the task description. (Show Details)Feb 21 2019, 11:03 PM

Got it. I changed the task description so that the checkbox will be checked when we have the links. That's what confused me.

The FAQ can be changed to Độ nổi bật (Notability), since we also have a link to the help index.

Trizek-WMF updated the task description. (Show Details)Feb 22 2019, 10:00 AM

The FAQ can be changed to Độ nổi bật (Notability), since we also have a link to the help index.

@MMiller_WMF I leave this for you and @Trizek-WMF to decide. The proposed configuration patch can be seen here, and for now I have FAQ and not notability.

@kostajh -- the list of those five links is fine as it as -- let's keep the FAQ. I would like us to implement it in a different order:

  • Bài viết đầu tiên của bạn (Your first article)
  • Sửa đổi (Modify)
  • Cẩm nang biên soạn (Manual of style)
  • Hình ảnh (Add images)
  • Câu thường hỏi (FAQ)

So the next step will be to try this out in Test Wiki, right?

@MMiller_WMF I'll update the order.

So the next step will be to try this out in Test Wiki, right?

The links configuration is dependent per-wiki. So while on testwiki you can switch your language to Vietnamese and interact with the help panel, the links, help desk, etc are the ones we have configured for testwiki.

The configuration patch as I have it will enable help panel on viwiki only for users who know to go to their preferences and switch it on. The intention is for the community ambassadors (or us) to be able to use it in production on viwiki to test out posting a question. Once we're happy that it works well, we can switch on the code to enable it for 50% of all new users.

@kostajh -- got it. I just tried it out in Vietnamese on test wiki, and everything seems fine. So like we discussed, let's do this:

  • On Monday, SWAT the feature on in Vietnamese Wikipedia with a 0% treatment group. @Trizek-WMF can inform our contacts that they should turn the feature on in their preferences and try it out. Meanwhile, @nettrom_WMF can make sure data goes to the data lake.
  • The 50% treatment group change can ride the train and go in on Thursday, giving the community a few days to test.
MMiller_WMF updated the task description. (Show Details)Feb 22 2019, 10:51 PM

The 50% treatment group change can ride the train and go in on Thursday, giving the community a few days to test.

This is a config change so it can't ride the train but we can push it anytime, including on Thursday.

Trizek-WMF updated the task description. (Show Details)Feb 25 2019, 6:12 PM

Change 489729 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Soft launch of help panel on viwiki

https://gerrit.wikimedia.org/r/489729

MMiller_WMF updated the task description. (Show Details)Feb 25 2019, 10:18 PM

@SBisson deployed to production today, with the treatment group set at 0%. Here's what's coming up next:

  • @Trizek-WMF will inform the community that they can turn on the help panel and try it out, looking for any bugs or issues.
  • @Etonkovidova can try the help panel out in production on Vietnamese in both desktop and mobile, asking a question in each. The question text can read, "This is a test question for testing out the help panel feature (https://www.mediawiki.org/wiki/Growth/Focus_on_help_desk/Help_panel/vi). For more information, please contact Trizek (WMF)."
  • @nettrom_WMF can look to see if events are flowing to the data lake.

We would like all three of these things to be complete by Wednesday, so that we can start the 50/50 experiment on Thursday.

Trizek-WMF updated the task description. (Show Details)Feb 26 2019, 3:18 PM

@Trizek-WMF will inform the community that they can turn on the help panel and try it out, looking for any bugs or issues.

Done, twice.

  • @nettrom_WMF can look to see if events are flowing to the data lake.

We would like all three of these things to be complete by Wednesday, so that we can start the 50/50 experiment on Thursday.

Can confirm that events from testing yesterday have been flowing into the Data Lake. I'll update this task's description accordingly.

nettrom_WMF updated the task description. (Show Details)Feb 26 2019, 5:41 PM

Change 493287 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[operations/mediawiki-config@master] GrowthExperiments: Start help panel experiment on viwiki

https://gerrit.wikimedia.org/r/493287

Trizek-WMF added a comment.EditedFeb 28 2019, 1:50 PM

So far, no feedback, even when directly asked. I told the community that, without any feedback from them, we will display the panel to newcomers starting on Friday.

Change 493287 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Start help panel experiment on viwiki

https://gerrit.wikimedia.org/r/493287

Mentioned in SAL (#wikimedia-operations) [2019-02-28T19:16:09Z] <thcipriani@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:493287|GrowthExperiments: Start help panel experiment on viwiki]] T215666 (duration: 03m 02s)

kostajh updated the task description. (Show Details)Mar 1 2019, 3:26 PM
kostajh moved this task from In Progress to QA on the Growth-Team (Current Sprint) board.
MMiller_WMF updated the task description. (Show Details)Mar 1 2019, 11:10 PM
Trizek-WMF updated the task description. (Show Details)Mar 4 2019, 3:28 PM

@Etonkovidova -- are you finished QAing this? If so, please check your box and put it in my column so I can do the final check after a few more days.

Etonkovidova updated the task description. (Show Details)Mar 4 2019, 11:54 PM
Etonkovidova moved this task from QA to Needs PM Review on the Growth-Team (Current Sprint) board.
MMiller_WMF closed this task as Resolved.Mar 6 2019, 10:48 PM
MMiller_WMF updated the task description. (Show Details)

The help panel is deployed and we see that Vietnamese users have been interacting with all its components.